{ *********************************************************************** }
{                                                                         }
{ Delphi / Kylix Cross-Platform Runtime Library                           }
{                                                                         }
{ Copyright (c) 1995, 2001 Borland Software Corporation                   }
{ Copyright (c) 2002 Traduction to PT-BR by Valtoni Boaventura            }
{                                                                         }
{ *********************************************************************** }

unit SysConst;                                   

interface

resourcestring
  SUnknown = '<desconhecido>';
  SInvalidInteger = '''%s'' no  um valor inteiro vlido';
  SInvalidFloat = '''%s'' no  um valor de ponto flutuante vlido';
  SInvalidCurrency = '''%s'' no  um valor monetrio vlido';
  SInvalidDate = '''%s'' no  uma data vlida';
  SInvalidTime = '''%s'' no  uma hora vlida';
  SInvalidDateTime = '''%s'' no  um tipo data/hora vlido';
  SInvalidDateTimeFloat = '''%g'' no  um tipo data/hora vlido';
  SInvalidTimeStamp = '''%d.%d'' no  um "timestamp" vlido';
  SInvalidGUID = '''%s'' no  um valor GUID vlido';
  SInvalidBoolean = '''%s'' no  um booleano vlido';
  STimeEncodeError = 'Argumento invlido para codificao de hora';
  SDateEncodeError = 'Argumento invlido para codificao de data';
  SOutOfMemory = 'Sem memria';
  SInOutError = 'Erro de I/O %d';
  SFileNotFound = 'Arquivo no encontrado';
  SInvalidFilename = 'Nome de arquivo invlido';
  STooManyOpenFiles = 'Muitos arquivos abertos';
  SAccessDenied = 'Acesso ao arquivo negado';
  SEndOfFile = 'Leitura depois do fim-de-arquivo';
  SDiskFull = 'Disco cheio';
  SInvalidInput = 'Entrada numrica invlida';
  SDivByZero = 'Diviso por zero';
  SRangeError = 'Checagem de faixa errnea';
  SIntOverflow = 'Estouro de inteiro';
  SInvalidOp = 'Operao de ponto flutuante invlida';
  SZeroDivide = 'Diviso de ponto flutuante por zero';
  SOverflow = 'Estouro de ponto flutuante';
  SUnderflow = 'Ponto flutuante abaixo da faixa (inverso de estouro)';
  SInvalidPointer = 'Operao de ponteiro invlida';
  SInvalidCast = 'Assimilao invlida de classe';
{$IFDEF MSWINDOWS}
  SAccessViolation = 'Violao de acesso no endereo %p. %s do endereo %p';
{$ENDIF}
{$IFDEF LINUX}
  SAccessViolation = 'Violao de acesso no endereo %p, acessando o endereo %p';
{$ENDIF}
  SStackOverflow = 'Estouro de Pilha';
  SControlC = 'Control-C';
  SQuit = 'Tecla de Sada';
  SPrivilege = 'Instruo privilegiada';
  SOperationAborted = 'Operao abortada';
  SException = 'Exceo %s no mdulo %s em %p.'#$0A'%s%s';
  SExceptTitle = 'Erro de Aplicao';
{$IFDEF LINUX}
	SSigactionFailed = 'A chamada de "sigaction" falhou';
{$ENDIF}
  SInvalidFormat = 'O formato ''%s''  invlido ou incompatvel com o argumento';
  SArgumentMissing = 'Sem argumento para o formato ''%s''';
  SInvalidVarCast = 'Converso invlida do tipo variante';
  SInvalidVarOp = 'Operao de variante invlida';
  SDispatchError = 'Chamada de mtodos a variante no  suportada';
  SReadAccess = 'Leitura';
  SWriteAccess = 'Escrita';
  SResultTooLong = 'O formato resultou mais que 4096 caracteres';
  SFormatTooLong = 'String de formato muito longo';
  SVarArrayCreate = 'Erro criando vetor de variante';
  SVarNotArray = 'O variante no  um vetor';
  SVarArrayBounds = 'ndice do vetor de variante fora da faixa';
  SVarTypeUnknown = 'Tipo desconhecido de variante customizado ($.4x)';
  SVarTypeOutOfRange = 'Tipo de variante customizado ($.4x) est fora da faixa';
  SVarTypeAlreadyUsed = 'Tipo de variante customizado (%.4x) j est em uso por %s';
  SVarTypeNotUsable = 'Tipo de variante customizado (%.4x) no  ustilizvel';
  SVarTypeTooManyCustom = 'Muitas variantes customizadas foram registradas';
  SVarDataClearRecursing = 'Recursividade enquanto fazia um "VarDataClear"';
  SVarDataCopyRecursing = 'Recursividade enquanto fazia um "VarDataCopy"';
  SVarDataCopyNoIndRecursing = 'Recursividade enquanto fazia um "VarDataCopyNoInd"';
  SVarDataInitRecursing = 'Recursividade enquanto fazia um "VarDataInit"';
  SVarDataCastToRecursing = 'Recursividade enquanto fazia um "VarDataCastTo"';
  SVarIsEmpty = 'A variante est vazia';
  sUnknownFromType = 'Impossvel converter do tipo especificado';
  sUnknownToType = 'Impossvel converter para o tipo especificado';
  SExternalException = 'Exceo externa %x';
  SAssertionFailed = 'A assero falhou';
  SIntfCastError = 'Interface no suportada';
  SSafecallException = 'Exceo no mtodo de chamada segura (safecall)';
  SAssertError = '%s (%s, line %d)';
  SAbstractError = 'Erro abstrato';
  SModuleAccessViolation = 'Violao de acesso no endereo %p no mdulo ''%s''. %s do endereo %p';
  SCannotReadPackageInfo = 'Impossvel acessar a informao de pacote para o pacote ''%s''';
  sErrorLoadingPackage = 'Impossvel carregar o pacote %s.'+sLineBreak+'%s';
  SInvalidPackageFile = 'Arquivo de pacote invlido ''%s''';
  SInvalidPackageHandle = 'Handle de pacote invlido';
  SDuplicatePackageUnit = 'Impossvel carregar o pacote ''%s.''  Ele contm a unit ''%s,''' +
    'que tambm est contida no pacote ''%s''';
  SOSError = 'Erro de sistema.  Cdigo: %d.'+sLineBreak+'%s';
  SUnkOSError = 'Uma chamada a uma funo do SO falhou';
{$IFDEF MSWINDOWS}
  SWin32Error = 'Erro Win32.  Cdigo: %d.'#10'%s' deprecated; // use SOSError
  SUnkWin32Error = 'Uma chamada a API Win32 falhou' deprecated; // use SUnkOSError
{$ENDIF}
  SNL = 'A aplicao no est licensiada para usar esse procedimento';

  SConvIncompatibleTypes2 = 'Tipos de converso incompatveis [%s, %s]';
  SConvIncompatibleTypes3 = 'Tipos de converso incompatveis [%s, %s, %s]';
  SConvIncompatibleTypes4 = 'Tipos de converso incompatveis [%s - %s, %s - %s]';
  SConvUnknownType = 'Tipo de converso desconhecida %s';
  SConvDuplicateType = 'Tipo de converso (%s) j est registrada';
  SConvUnknownFamily = 'Famlia de converso desconhecida %s';
  SConvDuplicateFamily = 'Famlia de converso (%s) j est registrada';
  SConvUnknownDescription = 'Descrio desconhecida [%.8x]';
  SConvIllegalType = 'Tipo ilegal';
  SConvIllegalFamily = 'Famlia ilegal';
  SConvFactorZero = '%s tem um fator de zero';

  SShortMonthNameJan = 'Jan';
  SShortMonthNameFeb = 'Fev';
  SShortMonthNameMar = 'Mar';
  SShortMonthNameApr = 'Abr';
  SShortMonthNameMay = 'Mai';
  SShortMonthNameJun = 'Jun';
  SShortMonthNameJul = 'Jul';
  SShortMonthNameAug = 'Ago';
  SShortMonthNameSep = 'Set';
  SShortMonthNameOct = 'Out';
  SShortMonthNameNov = 'Nov';
  SShortMonthNameDec = 'Dez';

  SLongMonthNameJan = 'Janeiro';
  SLongMonthNameFeb = 'Fevereiro';
  SLongMonthNameMar = 'Maro';
  SLongMonthNameApr = 'Abril';
  SLongMonthNameMay = 'Maio';
  SLongMonthNameJun = 'Junho';
  SLongMonthNameJul = 'Julho';
  SLongMonthNameAug = 'Agosto';
  SLongMonthNameSep = 'Setembro';
  SLongMonthNameOct = 'Outubro';
  SLongMonthNameNov = 'Novembro';
  SLongMonthNameDec = 'Dezembro';

  SShortDayNameSun = 'Dom';
  SShortDayNameMon = 'Seg';
  SShortDayNameTue = 'Ter';
  SShortDayNameWed = 'Qua';
  SShortDayNameThu = 'Qui';
  SShortDayNameFri = 'Sex';
  SShortDayNameSat = 'Sb';

  SLongDayNameSun = 'Domingo';
  SLongDayNameMon = 'Segunda';
  SLongDayNameTue = 'Tera';
  SLongDayNameWed = 'Quarta';
  SLongDayNameThu = 'Quinta';
  SLongDayNameFri = 'Sexta';
  SLongDayNameSat = 'Sbado';

{$IFDEF LINUX}
  SEraEntries = '';
{$ENDIF}

  SCannotCreateDir = 'Impossvel criar o diretrio';

implementation

end.
